%define		_class		Net
%define		_subclass	Curl
%define		_status		stable
%define		_pearname	Net_Curl
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - an OO interface to the cURL extension
Summary(pl.UTF-8):	%{_pearname} - obiektowy interfejs do rozszerzenia cURL
Name:		php-pear-%{_pearname}
Version:	1.2.5
Release:	4
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	0bb20480301256a7c5a04b4ca7e6f755
URL:		http://pear.php.net/package/Net_Curl/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php(curl)
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_Curl is an object oriented interface which abstracts away the
messy parts of dealing with PHP's cURL extension.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Net_Curl to obiektowo zorientowany interfejs, który tworzy warstwę
abstrakcji dla nieprzyjaznych fragmentów obsługi rozszerzenia PHP
cURL.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/*.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 7b4fcbd
- use php(core) for php engine version deps
- release 3 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 70ded6f
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> c54d336
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> eda1bc2
- updated to: 1.2.5

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 19ee4fd
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3e3bdd5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a9ff367
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> f41066c
- rel 2: use php(extension) virtuals

* Sun Jun 18 2006 Adam Gołębiowski <adamg@pld-linux.org> 6cc2a15
- updated to 1.2.3

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 0be9c77
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> edc3cc6
- rel 3 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> e93ed50
- BR php-pear-PEAR

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> dc6d629
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> ba9483d
- semi automatically added deps from pear

* Wed Sep 28 2005 Elan Ruusamäe <glen@pld-linux.org> 8ef441f
- new pear packaging

* Wed Aug 24 2005 Adam Gołębiowski <adamg@pld-linux.org> 4337a0a
- updated to 1.2.2

* Sun Aug 21 2005 Adam Gołębiowski <adamg@pld-linux.org> 5f28b37
- updated to 1.2.1

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 780e04b
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 2e005b9
- fixed english information about status of the package

* Mon Mar 15 2004 ankry <ankry@pld-linux.org> 72de166
- massive cosmetics

